Spaces method and path for this operation:
Refer to Spaces for more information.
Returns a paginated list of links library items. Each result includes title, description, and metadata. Use GET /api/links/{id} to retrieve the complete state.
Query parameters
-
The page of results to return.
Minimum value is
1. Default value is1. -
The number of results to return per page.
Minimum value is
1, maximum value is1000. Default value is20. -
Filters results by
titleanddescriptionusing Elasticsearchsimple_query_stringsyntax. Multi-word terms require all words to match. -
A tag name to include. Accepts a single tag name or multiple tag names. When multiple are specified, library items matching any of the tag names are included. If the same name is shared by multiple tags, items matching any of those tags are included.
Not more than
100elements. -
A tag name to exclude. Accepts a single tag name or multiple tag names. When multiple are specified, library items matching any of the tag names are excluded. If the same name is shared by multiple tags, items matching any of those tags are excluded.
Not more than
100elements.
curl -X GET "${KIBANA_URL}/api/links?query=welcome&per_page=10" \
-H "Authorization: ApiKey ${API_KEY}"
GET kbn:/api/links?query=welcome&per_page=10
{
"data": [
{
"data": {
"description": "A collection of important links",
"title": "Important Resources"
},
"id": "0ee9d0ea-06a0-4a30-bf4e-be4d3ca85bf3",
"meta": {
"created_at": "2026-06-03T23:33:39.979Z",
"created_by": "u_EWATCHX9oIEsmcXj8aA1FkcaY3DE-XEpsiGTjrR2PmM_0",
"managed": false,
"updated_at": "2026-06-03T23:33:39.979Z",
"updated_by": "u_EWATCHX9oIEsmcXj8aA1FkcaY3DE-XEpsiGTjrR2PmM_0",
"version": "WzEwNywxXQ=="
}
}
],
"meta": {
"page": 1,
"per_page": 20,
"total": 1
}
}